This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 536549 - (RHQ-888) Look into copyright and licensing of /js/popup.js
Look into copyright and licensing of /js/popup.js
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
1.1pre
All All
urgent Severity medium (vote)
: ---
: ---
Assigned To: John Sanda
http://jira.rhq-project.org/browse/RH...
: Task
Depends On:
Blocks: rhq4 jon30-bugs
  Show dependency treegraph
 
Reported: 2008-09-24 13:15 EDT by Jeff Weiss
Modified: 2014-11-09 17:50 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 648778 (view as bug list)
Environment:
Last Closed: 2013-09-03 12:46:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2008-09-24 13:15:00 EDT
Go to http://$server:$port/js/popup.js

see the copyright notice:

/*************************************************************************
  This code is from Dynamic Web Coding at http://www.dyn-web.com/
  Copyright 2003 by Sharon Paine 
  See Terms of Use at http://www.dyn-web.com/bus/terms.html
  regarding conditions under which you may use this code.
  This notice must be retained in the code as is!
*************************************************************************/

According to the site, there is a list of items that require payment.  I don't know if our usage falls into that category or not.
Comment 1 Red Hat Bugzilla 2009-11-10 16:19:00 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-888
Comment 2 Corey Welton 2010-08-12 15:59:28 EDT
Greg, please look into this.  The code in question is still there (though whether we use it or not is another question).
Comment 5 John Sanda 2010-10-14 16:34:47 EDT
This component certainly not be needed with the GWT-based UI. After grepping through the code base some, it wasn't clear to if it is needed in our JSF-based UI. I have done preliminary testing in the older, JSF-based UI with the component removed from popup.js. I have not observed any problems.
Comment 6 John Sanda 2010-10-15 12:36:51 EDT
I have tested this in the release-3.0.0 branch as well. The component has been removed from popup.js.

commit hash: 707023b7391c9835db5a299b1447a8977e083dd7
Comment 7 Rajan Timaniya 2010-10-22 03:40:57 EDT
Tested on RHQ-Master build #442
http://hudson-qe.rhq.rdu.redhat.com:8080/view/RHQ/job/ci-rhq-master/442/

Go to http://$server:$port/js/popup.js

Still there is copyright notice:

/*************************************************************************
  This code is from Dynamic Web Coding at http://www.dyn-web.com/
  Copyright 2003 by Sharon Paine 
  See Terms of Use at http://www.dyn-web.com/bus/terms.html
  regarding conditions under which you may use this code.
  This notice must be retained in the code as is!
*************************************************************************/
Comment 8 Charles Crouch 2010-11-01 23:29:27 EDT
QE,
We need to check if this is still a problem with 2.4.1
Comment 9 Charles Crouch 2010-11-02 00:58:33 EDT
Given Rajan's last comment I believe this should be ON_DEV, pending addressing this issue in the master branch
Comment 10 Corey Welton 2011-01-06 10:23:03 EST
Removing blocker against jon241 version of this bug
Comment 11 Ian Springer 2011-03-30 15:55:14 EDT
I've removed the offending code from master as well - [master b73e1a2].
Comment 12 Sunil Kondkar 2011-06-03 03:08:17 EDT
Verified in build 107 (Version: 4.1.0-SNAPSHOT Build Number: 9192306)

Navigated to http://$server:$port/js/popup.js
The copyright notice is not displayed is popup.js.

Marking as verified.

Note You need to log in before you can comment on or make changes to this bug.